$(function(){
    $.get("a1_w.php?id"+Math.floor(Math.random()*999+1),function(a,b){
    rws = a.split(".");
    zs = rws['1'];
    us = rws['0'];
    if(zs=="0"){
        $("#renwu").hide();
        $("#bg").show();
        $("#windows").show();
        $(".Otime").html("&Chi;");
    $("#windows .t1").html("<span style='color:red;'>当前列表没有任务!");
        return false;
    }
    if(us=="0"){
        $("#renwu").hide();
        $("#bg").show();
        $("#windows").show();
        $(".Otime").html("&radic;");
        $("#windows .t1").html("<span style='color:red;'>您已完成所有任务!");
        return false;
    }
    if(us>"0"){
    $("#renwu").show();
    }
    });
    
    $(":button").click(function(){
        $("#bg").show();
        $("#windows").show();//显示窗口
        var width = $(window).width();
        var newleft = (width-650)/2;
        $("#windows").css("left",newleft+'px');
        //开始获取信息
       var url = $(this).attr("url");
       var money = $(this).attr("money");
       var danhao = $(this).attr("danhao");
       var dunling = danhao;
       var Otime = parseInt($(this).attr("time"));
       var outtime = parseInt(Otime*1000);
       var Etime = Otime;
       
        $("#windows .t1").text("您当前正在任务进行中,为了保障您的收益,请不要关闭页面!");
        $(".Otime").text(Otime);//圆圈显示的秒数
    dunling = window.open(url,"_blank","toolbar=yes, location=yes, directories=no, status=no, menubar=yes, scrollbars=yes, resizable=no, copyhistory=yes, width=800, height=800,left=0,top=0");

    var s1 = setInterval(function(){
            Etime--;//时间递减


            
            Whide = $("#windows").css("display");

        
            if(Etime==0){//当完成任务时执行的任务
            $("#start").hide();
            $("#next").show();
            $("#"+danhao).attr("type","hidden");
            $("#"+danhao).val("完成阅览");
            $.post("php/a1.php",{//发送数据
            danhao:danhao
            },function(a,b){
            if(a=="error"){
            $("#windows .t1").html("任务已重复,请刷新页面!");
            $(".Otime").html("&Chi;");
            return false;
            }
             if(a=="ok"){//判断返回数据
            $("#windows .t1").html("您已完成本次浏览,您已获得金币&nbsp;<span style='color:red;'>" + money + "</span>&nbsp;个!");
            $(".Otime").html("&radic;");//完成任务打勾
             }else{                
                alert('系统出错');                
             }    
            });
            clearInterval(s1);
            dunling.close();//关闭窗口
            return false;
            }
            $("#windows .t1").text("您当前正在完成任务中,为了保障您的收益,请不要关闭页面!");
            $(".Otime").text(Etime);//实时更新剩余时间
            

        },1000);  
    });

$(".Wclose").click(function(){
   $("#bg").hide();
   $("#windows").hide(); 
});


});